<?php
class AlbumRepository extends BaseRepository implements IAlbumRepository {
	public function GetAlbums($includeHidden=false, $includeEmpty=false) {
		$albums=array();
		$hidden=$includeHidden?" OR album_hidden=1":"";
		$albumIds=self::$PDO->query("SELECT album_id FROM albums WHERE album_deleted=0 AND album_hidden=0".$hidden);
		while ($albumId=$albumIds->fetchColumn()){
			$album=new Album($albumId);
			if ($includeEmpty || count($album->Images)>0)
				$albums[]=$album;
		}
		return $albums;
	}
}
